%global commit 76e9481c1a183048d0a1af0148d9f0cbd3556753
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global project email-reply-parser
%global owner zapier
%global date 20140523

%global with_tests 0
#Test is failing :(
#Reported to upstream
#See: https://github.com/zapier/email-reply-parser/issues/17

%global pypi_name email_reply_parser

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %{date}git%{shortcommit}%{?dist}.6
Summary:        Email reply parser library for Python 2

License:        MIT
URL:            https://github.com/zapier/email-reply-parser
Source0:        https://github.com/%{owner}/%{project}/archive/%{commit}/%{project}-%{commit}.tar.gz

BuildArch:      noarch
Group:          Development/Libraries
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3

%description
A port of GitHub's Email Reply Parser library. Email Reply Parser makes it easy
 to grab only the last reply to an on-going email thread.

%package -n python2-%{pypi_name}
Summary:        Email reply parser library for Python 2
Group:          Development/Libraries
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Python3 port of GitHub's Email Reply Parser library. Email Reply Parser makes
 it easy to grab only the last reply to an on-going email thread.


%package -n python3-%{pypi_name}
Summary:        Email reply parser library for Python 3
Group:          Development/Libraries
Requires:       python3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python3 port of GitHub's Email Reply Parser library. Email Reply Parser makes
 it easy to grab only the last reply to an on-going email thread.

%prep
%setup -q -n %{project}-%{commit}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%if 0%{?with_tests}
%check
%{__python2} setup.py test
%if 0%{?with_python3}
pushd %{py3dir}

%{__python3} setup.py test
popd
%endif # with_python3
%endif # with_test

%files -n python2-%{pypi_name}
%doc README.md
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%{!?_licensedir:%global license %%doc}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-20140523git76e9481.6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-20140523git76e9481.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-20140523git76e9481.4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 16 2015 William Moreno Reyes  <williamjmorenor at gmail.com> - 0.3.0-20140523git76e9481.3
- Update Python Macros
- Include subpackages for python 2 and 3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-20140523git76e9481.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 08 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.3.0-20140523git76e9481
- Define %%license macro for EPEL < 7

* Sun Mar 22 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.3.0-20140523git76e9481.1
- Initial package.
